package com.ibiz.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.ibiz.core.module.filter.PSSearchContext;

/**
 * 实体 [采购单] 存储模型
 */
public interface PS{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 备注
     */
    String getBz();

    void setBz(String bz);

    /**
     * 获取 [备注]脏标记
     */
    boolean getBzDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 采购单名称
     */
    String getPSName();

    void setPSName(String pSName);

    /**
     * 获取 [采购单名称]脏标记
     */
    boolean getPSNameDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 采购单标识
     */
    String getPSId();

    void setPSId(String pSId);

    /**
     * 获取 [采购单标识]脏标记
     */
    boolean getPSIdDirtyFlag();

}
